Get one wallet's leaderboard statistics
curl --request GET \
--url https://build.vibechain.com/vibe/boosterbox/leaderboard/{ownerAddress} \
--header 'API-KEY: <api-key>'import requests
url = "https://build.vibechain.com/vibe/boosterbox/leaderboard/{ownerAddress}"
headers = {"API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'API-KEY': '<api-key>'}};
fetch('https://build.vibechain.com/vibe/boosterbox/leaderboard/{ownerAddress}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"stats": {
"ownerAddress": "0x1111111111111111111111111111111111111111",
"firstMintDate": "2023-11-07T05:31:56Z",
"lastActivityDate": "2023-11-07T05:31:56Z",
"ranks": {},
"rank": 2,
"totalBoxes": 1,
"openedCount": 1,
"burnedCount": 1,
"sealedCount": 1,
"legendaryCount": 1,
"epicCount": 1,
"rareCount": 1,
"commonCount": 1,
"mythicCount": 1,
"notAssignedCount": 1,
"volume": "1000000000000000",
"creatorFees": "1000000000000000",
"user": {
"id": "<string>",
"username": "<string>",
"displayName": "<string>",
"profileImage": "<string>",
"address": "0x1111111111111111111111111111111111111111"
}
}
}{
"success": false,
"message": "Invalid contract address"
}{
"success": false,
"message": "Resource not found"
}{
"success": false,
"message": "Too many requests or invalid API key! See docs.vibechain.com for more info."
}{
"success": false,
"message": "Failed to complete request"
}Analytics
Get one wallet's leaderboard statistics
GET
/
leaderboard
/
{ownerAddress}
Get one wallet's leaderboard statistics
Authorizations
Caller-specific VibeChain API key used for quota and abuse control.
Path Parameters
Pattern:
^0x[a-fA-F0-9]{40}$Example:
"0x1111111111111111111111111111111111111111"
Query Parameters
⌘I